Problem with 2.4.7 -> 2.4.9 kernel upgrade on PE1650

A. Wolf Farkas, MD afarkas at wolfwater.com
Thu Apr 18 08:49:00 CDT 2002


Thanks everyone for the great advice on upgrading the kernel on our PE1650.

I'm having a bit of a hard time getting 2.4.9-31 to work.

I upgraded from a bone-stock RH 7.2 (2.4.7-10smp) machine to 2.4.9-31 using 
up2date.  Everything seemed to work OK.  The new kernel is listed at the 
top of grub's  list when the machine fires up.

But it's having problems with the aacraid driver.  To wit:
"
Loading aacraid module
/lib/aacraid.o: invalid parameter parm_aacraid_pciid
ERROR: /bin/insmod exited abnormally!
Loading jbd module
Journalled Block Device driver loaded
Loading ext3 module
Mounting /proc filesystem
Creating root device
Mounting root filesystem
mount: error 19 mounting ext3
pivotroot: pivot_root(/sysroot,/sysroot/initrd) failed: 2
Freeing unused kernel memory: 244k freed
Kernel panic: No init found. Try passing init= option to kernel.
"

Any idea where I went wrong?
Thanks for the help!
adam




_=_
Adam Farkas // afarkas at wolfwater.com






More information about the Linux-PowerEdge mailing list